Create a service-of-notice mailing
curl --request POST \
--url https://api.platform.arb.inc/service-of-notice/mailings/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form caseID=2025-09-00123 \
--form mailType=sealedMailer \
--form 'data.content={"ticketNumber": "2025-11-00162", "licensePlate": "ABC123", "state": "FL", "lotName": "Downtown Parking", "totalAmount": "75.00"}'import requests
url = "https://api.platform.arb.inc/service-of-notice/mailings/create"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"caseID\"\r\n\r\n2025-09-00123\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"mailType\"\r\n\r\nsealedMailer\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data.content\"\r\n\r\n{\"ticketNumber\": \"2025-11-00162\", \"licensePlate\": \"ABC123\", \"state\": \"FL\", \"lotName\": \"Downtown Parking\", \"totalAmount\": \"75.00\"}\r\n-----011000010111000001101001--"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('caseID', '2025-09-00123');
form.append('mailType', 'sealedMailer');
form.append('data.content', '{"ticketNumber": "2025-11-00162", "licensePlate": "ABC123", "state": "FL", "lotName": "Downtown Parking", "totalAmount": "75.00"}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.platform.arb.inc/service-of-notice/mailings/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"mailing created""mailing already exists"service-of-notice
Create a service-of-notice mailing
Create a service-of-notice mailing. Send JSON data in the data.content field for dynamic mail templates.
POST
/
service-of-notice
/
mailings
/
create
Create a service-of-notice mailing
Authorizations
access token
Body
multipart/form-data
The case ID this mailing belongs to. Must be sent first in the multipart form.
Example:
"2025-09-00123"
The mail type identifier. Must be sent second in the multipart form.
Example:
"sealedMailer"
JSON data for mail templates: Send dynamic content as a JSON string in the data.content multipart field.
Example JSON structure:
{
"ticketNumber": "2025-11-00162",
"licensePlate": "ABC123",
"state": "FL",
"lotName": "Downtown Parking",
"totalAmount": "75.00"
}
Response
Mailing was created.
The response is of type string.
Example:
"mailing created"
⌘I